/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.common.http;

/**
 * HTTP generic constants
 * 
 * @version $Rev: 942273 $ $Date: 2010-05-08 00:48:23 +0100 (Sat, 08 May 2010) $
 */
public interface HTTPConstants {
    public static final String CHARACTER_ENCODING_UTF8 = "UTF-8";
    
    public static final String HTM = "htm";
    public static final String HTML = "html";
    public static final String JAVASCRIPT = "js";
    
    public static final String HTML_CONTENT_TYPE = "text/html";
    public static final String JAVASCRIPT_CONTENT_TYPE = "text/javascript";
}
